/* 初期化 */
html, body, div, h1, h2, h3, h4, h5, h6, p, ul, li, a{
    margin: 0;
    padding: 0;
    color: hsl(0, 0%, 77%);
    font-weight: normal;
}

*{
    box-sizing: border-box;
    font-family: "游明朝", YuMincho, "Hiragino Mincho ProN W3", "ヒラギノ明朝 ProN W3", "Hiragino Mincho ProN", "HG明朝E", "ＭＳ Ｐ明朝", "ＭＳ 明朝", serif;
}

body {
    background-color: hsl(225, 8%, 12%);
    margin: 0 auto;
    min-height: 100vh;
    min-width: 100%;
    -ms-overflow-style: none;    /* IE, Edge 対応 */
    scrollbar-width: none;       /* Firefox 対応 */
}

a {
    display: inline-block;
    text-decoration: none;
}

header{
    padding: 2em 1em;
}

#jy-storage {
    font-size: 1em;
    letter-spacing: .16em;
    font-family: "Newsreader", serif;
    width:fit-content;
}

.introduce {
    color:hsl(0, 0%, 70%);
    font-size: .9em;
}

#main-wrapper {
    margin: 0 auto;
    padding: 2em 0;
    width: 70%;
    min-width: 300px;
    max-width: 800px;
}

.content {
    padding-bottom: .2em;
    border-bottom: 1px solid hsl(0, 0%, 60%);
    margin-bottom: 4em;
}

.content-header {
    margin-bottom: 2em;
    display: flex;
    justify-content: space-between;
    align-items: baseline;
}

.content-title{
    font-size: 1.8em;
}

.content-date {
    font-style: italic;
    margin-right: .2em;
    font-family: 'Times New Roman', Times, serif;
}

.cc {
    display: inline;
}

.content-text{
    font-size: 1em;
    height: fit-content;
    max-height: 600px;
    overflow: hidden;
}

#continue {
    width: fit-content;
    margin: .4em auto 0;
}

.unvisible {
    display: none;
}

.content-tag {
    margin-top: 2em;
    margin-right: 1em;
}

.box {
    margin: 0 auto;
    width: 90%;
    margin-bottom: 4em;
}

.box-header {
    font-size: 1.4em;
    margin-bottom: .2em;
}

.news-content {
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
    border-bottom: 1px solid hsl(0, 0%, 40%);
    margin-bottom: .3em;
}

.news-title {
    font-size: 1.1em;
}

.news-info {
    display: flex;
    flex-direction: column;
    align-items: flex-end;
}

.news-date {
    font-size: 1em;
    font-style: italic;
    font-family: 'Times New Roman', Times, serif;
}

.news-tag {
    font-size: .8em;
    margin-left: .2em;
}

.contents {
    margin-bottom: 8em;
}

.to-contents-list{
    margin-top: .2em;
    font-size: 1em;
    text-align: right;
}

ul {
    list-style-type: none;
    display: flex;
    flex-direction: column;
}

.title a {
    font-size: 1.1em;
}


/* work */
.work-tag {
    margin-top: 4em;
}

.work-content-text {
    max-height: none;
    min-height: 160px;
}

.mbn {
    margin-bottom: 20px;
}

.pn {
    display: flex;
    justify-content: space-between;
    width: 100%;
    margin: 0 auto 4em;
}

.pn a div{
    font-size: 1em;
    color: hsl(0, 0%, 70%)
}



/* contents */
#contents-header {
    width: 80%;
    margin: 0 auto;
    min-width: 200px;
    max-width: 600px;
}

#contents-header h2{
    font-size: 1em;
    line-height: 100%;
}

#contents-header h1{
    font-size: 2em;
}

#contents-wrapper{
    display: flex;
    flex-direction: column;
    margin: 1em auto;
    width: 80%;
    min-width: 200px;
    max-width: 600px;
}

.contents-list {
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
    margin-top: .6em;
    border-bottom: 1px solid hsl(0, 0%, 18%);
}

.contents-list-title {
    font-size: 1.1em;
}

.contents-list-date {
    font-size: 1em;
    color: hsl(0, 0%, 70%);
    margin-right: 0;
}


footer {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 8em;
    margin-bottom: 2em;
}

footer a {
    font-size: .8em;
}

footer p {
    font-size: .8em;
    padding-left: 0.4em;
}

.footer_icon {
    font-size: 1em;
}

.div_e-mail {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 0.3em;
}


@media(max-width: 550px){

    #main-wrapper {
        width: 88%
    }

    #jy-storage {
        font-size: .8rem;
    }

    .introduce {
        color:hsl(0, 0%, 60%);
        font-size: .7rem;
    }

    .box {
        width: 100%;
    }
    
    .content-text{
        font-size: .85rem;
        max-height: 400px
    }

    .work-content-text {
        max-height: none;
    }

    .content-tag {
        font-size: .9em;
    }

    .news-title {
        font-size: .8em;
    }

    .news-date {
        font-size: .7em;
    }

    .news-tag {
        font-size: .6em;
    }

    .to-contents-list {
        font-size: .9em;
        margin-top: .4em;
    }

    .title {
        margin-top: .8em;
        font-size: .8em;
    }

    #contents-header h1 {
        font-size: 1.4em;
    }

    .contents-list {
        margin-top: 1em
    }

    .contents-list-title {
        font-size: .9em;
    }

    .contents-list-date {
        font-size: .8em;
    }
}